### Method

# Gio FileInfo list_attributes

#### Declaration

    char**
    g_file_info_list_attributes (
      GFileInfo* info,
      const char* name_space
    )

#### Description

Lists the file info structure’s attributes.

#### Parameters

`name_space`

  Type: `const char*`

  A file attribute key’s namespace, or `NULL` to list all attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: An array of `utf8`

A null-terminated array of strings of all of the possible attribute types for the given `name_space`, or `NULL` on error.

The array is `NULL`-terminated.
The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
Each element is a NUL terminated UTF-8 string.